#include <iostream>
#include <string>

/* run this program using the console pauser or add your own getch, system("pause") or input loop */
using namespace std;

int main(int argc, char** argv) {
    int d, m, y, hh, mm;
    cin >> d >> m >> y >> hh >> mm;
	if (d % 2 == 0 && (hh % 2 != 0 || mm != 0))
	    cout << "Casper" << endl;
	if (d % 2 != 0)
	    cout << "Slimer" << endl;
	cout << "Beetlejuice" << endl;
	if (to_string(d).find("7") != string::npos || to_string(y).find("7") != string::npos || to_string(hh).find("7") != string::npos || to_string(hh).find("6") != string::npos && mm != 0)
	    cout << "Ow" << endl;
	if (d % 3 == 0 && (hh % 3 == 0 || mm != 0 && hh % 3 == 2))
	    cout << "Peeves" << endl;
	if (m == 12 && d >= 24 || m == 1 && d <= 7)
	    cout << "Christmas" << endl;
	return 0;
}
